Bug 2093976 - targetcli: Not a directory: '/sys/kernel/config/target/iscsi/cpus_allowed_list'
Summary: targetcli: Not a directory: '/sys/kernel/config/target/iscsi/cpus_allowed_list'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rtslib
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Maurizio Lombardi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-06 13:32 UTC by Martin Hoyer
Modified: 2022-06-29 02:06 UTC (History)
5 users (show)

Fixed In Version: python-rtslib-2.1.75-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-29 02:06:44 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Martin Hoyer 2022-06-06 13:32:12 UTC
Description of problem:
Fedora 36 needs an updated python-rtslib, as the updated kernel triggers the `Not a directory: '/sys/kernel/config/target/iscsi/cpus_allowed_list'` warning.

Reproduced on aarch64 and s390x

Version-Release number of selected component (if applicable):
Installing:
 targetcli            noarch  2.1.54-4.fc36
Installing dependencies:
 python3-configshell  noarch  1:1.1.29-4.fc36
 python3-kmod         s390x   0.9-33.fc36
 python3-pyudev       noarch  0.22.0-8.fc36
 python3-rtslib       noarch  2.1.74-6.fc36
 python3-urwid        s390x   2.1.2-5.fc36
 target-restore       noarch  2.1.74-6.fc36

How reproducible:
tbd

Steps to Reproduce:
1. create a targetcli backstore 
2. delete the backstore
targetcli /backstores/block delete name=block

Actual results:
Not a directory: '/sys/kernel/config/target/iscsi/cpus_allowed_list'

Expected results:
no warning

Comment 1 Fedora Update System 2022-06-20 08:46:50 UTC
FEDORA-2022-c8bc506c49 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c8bc506c49

Comment 2 Fedora Update System 2022-06-21 01:29:45 UTC
FEDORA-2022-c8bc506c49 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-c8bc506c49`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c8bc506c49

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Vojtech Trefny 2022-06-21 06:25:57 UTC
Hi, the update fixed the issue on Fedora 36 for me but this affects Fedora 35 too, can you please push the update for Fedora 35 too. Thank you.

Comment 4 Fedora Update System 2022-06-29 02:06:44 UTC
FEDORA-2022-c8bc506c49 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.